package com.fjhx.service.bom;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.bom.Bom;
import com.fjhx.params.bom.BomEx;
import com.fjhx.params.bom.BomVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * bom 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-01
 */
public interface BomService extends BaseService<Bom> {

    Page<BomEx> getPage(Map<String, String> condition);

    void add(BomVo bomVo);

    void edit(BomVo bomVo);

    void delete(BomVo bomVo);

    /**
     * 获取bom已关联的产品分类
     */
    List<Map<String, Object>> getBomRelationProductClassify();

    /**
     * 更新产品bom版本
     */
    void updateVersion(Bom bom);

}
